# arm_rfft_f32.c File Reference

| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Functions
arm_rfft_f32.c File Reference

## Functions

void | arm_split_rfft_f32 (float32_t *pSrc, uint32_t fftLen, float32_t *pATable, float32_t *pBTable, float32_t *pDst, uint32_t modifier)
| Core Real FFT process.
void | arm_split_rifft_f32 (float32_t *pSrc, uint32_t fftLen, float32_t *pATable, float32_t *pBTable, float32_t *pDst, uint32_t modifier)
| Core Real IFFT process.
void | arm_rfft_f32 (const arm_rfft_instance_f32 *S, float32_t *pSrc, float32_t *pDst)
| Processing function for the floating-point RFFT/RIFFT.

## Function Documentation

void arm_split_rfft_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | float32_t * | pATable,
|  | float32_t * | pBTable,
|  | float32_t * | pDst,
|  | uint32_t | modifier
| ) |  |

end of RFFT_RIFFT group

Parameters:

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Referenced by arm_rfft_f32().

void arm_split_rifft_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | float32_t * | pATable,
|  | float32_t * | pBTable,
|  | float32_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Parameters:

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Referenced by arm_rfft_f32().